" Baco's NeoVim init file

" Some defaults to start with
"   from: runtime! vimrc_example.vim
if !has('vms') && has('persistent_undo')
  set undofile  " keep an undo file (undo changes after closing)
endif

" Essentials
set number
set cursorline
set tabstop=4 shiftwidth=4
set softtabstop=4  " If not 0, must coincide with "tabstop" for tabs indentation
                   " and with "shiftwidth" for spaces indentation

set list listchars=tab:»\ ,trail:·
let &colorcolumn = join(range(81, 160), ',')

" Coding Styles
if has('autocmd')
	" Restore some :filetype defaults overrided by setting ts, sw and sts
	autocmd FileType c setlocal tabstop=8 shiftwidth=8 softtabstop=0

	" Ensure spelling is loaded when writting text
	autocmd FileType gitcommit setlocal spell
endif

" Extras
let g:indentLine_char = '⦙'

" Theming
silent! colorscheme aldmeris
if exists('g:colors_name') && g:colors_name == 'aldmeris'
	let g:aldmeris_transparent = v:true
	let g:aldmeris_termcolors = 'tango'
endif

packadd onedark.vim
silent! colorscheme onedark
if exists('g:colors_name') && g:colors_name == 'onedark'
	if !has('gui_running')
		highlight Normal guibg=NONE
	endif
	if has('termguicolors')
		set termguicolors
	endif
endif
